/* **************************************************************** *
 *                                                                  *
 *  APRX -- 2nd generation receive-only APRS-i-gate with            *
 *          minimal requirement of esoteric facilities or           *
 *          libraries of any kind beyond UNIX system libc.          *
 *                                                                  *
 * (c) Matti Aarnio - OH2MQK,  2007                                 *
 *                                                                  *
 * **************************************************************** */


#include "aprx.h"

time_t now;
int erlangout;
char *aprxlogfile;

void erlang_snmp(void)
{
	int i;

	for (i = 0; i < ErlangLinesCount; ++i) {
	  struct erlangline *E = ErlangLines[i];

	  printf("%s   %ld %ld   %ld  %ld     %d\n",
		 E->name,
		 E->SNMP.bytes_rx, E->SNMP.packets_rx,
		 E->SNMP.bytes_tx, E->SNMP.packets_tx,
		 (int)(now - E->last_update));

	}

}

void erlang_xml(void)
{
}


void usage(void)
{
	int i;

	printf("Usage: aprx-stat [-f arpx-erlang.dat][-S][X]\n");

	exit(64);
}

int main(int argc, char **argv)
{
	int opt;
	int mode_snmp = 0;
	int mode_xml  = 0;

	now = time(NULL);

	while ((opt = getopt(argc, argv, "f:SX?h")) != -1) {
	  switch (opt) {
	  case 'f':
	    erlang_backingstore = optarg;
	    break;
	  case 'S': /* SNMP */
	    ++mode_snmp;
	    break;
	  case 'X':
	    ++mode_xml;
	    break;
	  default:
	    usage();
	    break;
	  }
	}

	erlang_start(); /* Open the backing-store */

	if (mode_snmp) {
	  erlang_snmp();
	} else if (mode_xml) {
	  erlang_xml();
	} else
	  usage();

	return 0;
}
